<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class MessageKey extends \Google\Protobuf\Internal\Message
{
    


    protected $remoteJid = null;
    


    protected $fromMe = null;
    


    protected $id = null;
    


    protected $participant = null;

    











    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getRemoteJid()
    {
        return isset($this->remoteJid) ? $this->remoteJid : '';
    }

    public function hasRemoteJid()
    {
        return isset($this->remoteJid);
    }

    public function clearRemoteJid()
    {
        unset($this->remoteJid);
    }

    




    public function setRemoteJid($var)
    {
        GPBUtil::checkString($var, True);
        $this->remoteJid = $var;

        return $this;
    }

    



    public function getFromMe()
    {
        return isset($this->fromMe) ? $this->fromMe : false;
    }

    public function hasFromMe()
    {
        return isset($this->fromMe);
    }

    public function clearFromMe()
    {
        unset($this->fromMe);
    }

    




    public function setFromMe($var)
    {
        GPBUtil::checkBool($var);
        $this->fromMe = $var;

        return $this;
    }

    



    public function getId()
    {
        return isset($this->id) ? $this->id : '';
    }

    public function hasId()
    {
        return isset($this->id);
    }

    public function clearId()
    {
        unset($this->id);
    }

    




    public function setId($var)
    {
        GPBUtil::checkString($var, True);
        $this->id = $var;

        return $this;
    }

    



    public function getParticipant()
    {
        return isset($this->participant) ? $this->participant : '';
    }

    public function hasParticipant()
    {
        return isset($this->participant);
    }

    public function clearParticipant()
    {
        unset($this->participant);
    }

    




    public function setParticipant($var)
    {
        GPBUtil::checkString($var, True);
        $this->participant = $var;

        return $this;
    }

}

